assessment/urls.py
from django.urls import path

from assessment import views

urlpatterns = [
    path('', views.ListAuditView.as_view(), name="assessments_list"),
    path('create/', views.CreateAssessmentView.as_view(), name="create_assessment"),
    path('<int:audit_id>/derive/', views.CreateAssessmentView.as_view(), name="derive_assessment"),
    path('<int:audit_id>/view/', views.DetailAssessmentView.as_view(), name="view_assessment"),
    path('<int:audit_id>/info/', views.AssessmentInfoView.as_view(), name="assessment_info"),


    path('<int:audit_id>/questions/', views.ListQuestionView.as_view(), name="questions"),
    path('<int:audit_id>/question/create', views.CreateQuestionView.as_view(), name="create_question"),
    path('<int:audit_id>/question/<int:question_id>/update', views.UpdateQuestionView.as_view(), name="update_question"),
    path('<int:audit_id>/question/<int:question_id>', views.DetailQuestionView.as_view(), name="view_question"),
    path('question/<slug:pk>/delete', views.DeleteQuestionView.as_view(), name="delete_question"),

    path('section/create/', views.CreateSectionView.as_view(), name="create_section"),


]

clients/urls.py
from django.urls import path

from clients import views

urlpatterns = [
    path('', views.ListOrganizationView.as_view(), name="organizations_list"),
    path('create/', views.CreateOrganizationView.as_view(), name="create_organization"),
    path('<int:org_id>', views.DetailOrganizationView.as_view(), name="view_organization"),
    path('update/<slug:pk>/', views.UpdateOrganizationView.as_view(), name="update_organization"),
    path('delete/<slug:pk>/', views.DeleteOrganizationView.as_view(), name="delete_organization"),

    path('organization/<int:org_id>/departments', views.UpdateDepartmentsView.as_view(), name="update_departments"),

    path('<int:org_id>/employees', views.ListEmployeeView.as_view(), name="employees_list"),
    path('<int:org_id>/employee/create/', views.CreateEmployeeView.as_view(), name="create_employee"),
    # path('<int:org_id>/employee/<int:org_id>', views.DetailEmployeeView.as_view(), name="view_employee"),
    path('employee/update/<slug:pk>/', views.UpdateEmployeeView.as_view(), name="update_employee"),
    path('employee/delete/<slug:pk>/', views.DeleteEmployeeView.as_view(), name="delete_employee"),

    path('task/create/<int:question_pk>/', views.CreateTaskView.as_view(), name="create_task"),
    path('tasks/', views.ListTaskView.as_view(), name="tasks_list"),
    path('task/<slug:pk>', views.DetailTaskView.as_view(), name="view_task"),
    path('task/update/<slug:pk>', views.UpdateTaskView.as_view(), name="update_task"),
    path('task/complete/<slug:pk>', views.CompleteTaskView.as_view(), name="complete_task"),
    path('task/cancel/<slug:pk>', views.CancelTaskView.as_view(), name="cancel_task"),


]

qualitycontrol/urls.py
from django.conf import settings
from django.conf.urls.i18n import i18n_patterns
from django.conf.urls.static import static
from django.contrib import admin
from django.contrib.auth.views import LogoutView, LoginView
from django.urls import path, include

from shared.views import HomeView, CreateEvidenceView, SubmitAssessmentView

urlpatterns = i18n_patterns(
    path("select2/", include("django_select2.urls")),

    path('', HomeView.as_view(), name='home'),
    path('assessment/<int:audit_id>', SubmitAssessmentView.as_view(), name='submit_assessment'),
    path('evidence/create/<int:question_pk>/', CreateEvidenceView.as_view(), name='evidence_create'),
    path('login/', LoginView.as_view(), name='login'),
    path('register/', LoginView.as_view(), name='register'),
    path('logout/', LogoutView.as_view(next_page=settings.LOGOUT_REDIRECT_URL), name='logout'),
    path('admin/', admin.site.urls),
    path('assessment/', include('assessment.urls')),
    path('client/', include('clients.urls')),
    prefix_default_language=False,
)

urlpatterns += [
    path('i18n/', include('django.conf.urls.i18n')),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

assessment/models.py
from constrainedfilefield.fields import ConstrainedFileField
from django.conf import settings
from django.contrib.auth import get_user_model
from django.db import models
from django.db.models import Max
from django.utils import timezone
from django.utils.translation import gettext_lazy as _, get_language
from pyexcel_xlsx import get_data
import json

User = settings.AUTH_USER_MODEL


class Section(models.Model):

    # region fields
    title_ar = models.CharField(
        _('Title (AR)'),
        max_length=256,
        blank=False,
    )

    title_en = models.CharField(
        _('Title (EN)'),
        max_length=256,
        blank=False,
    )

    sub_of = models.ForeignKey(
        "Section",
        null=True,
        blank=True,
        on_delete=models.SET_NULL,
        verbose_name=_('Sub of'),
        related_name='sub_sections',
    )

    display_order = models.PositiveSmallIntegerField(
        _('Display Order'),
        null=True,
        blank=True,
    )

    show_flag = models.BooleanField(
        _('Show?'),
        default=True,
        blank=True,
    )
    # endregion fields

    node_order_by = ['display_order']

    def __str__(self):
        if get_language() == 'ar':
            return self.title_ar
        else:
            return self.title_en


class Audit(models.Model):
    class Types(models.TextChoices):
        RESTAURANTS = 'RESTAURANTS', _('Restaurants')
        HOTELS = 'HOTELS', _('Hotels')
        MISC = 'MISC', _('Miscellaneous')

    class Status(models.TextChoices):
        DRAFT = 'DRAFT', _('Draft')
        SUBMITTED = 'SUBMITTED', _('Submitted')

    # region fields
    title_ar = models.CharField(
        _('Title (AR)'),
        max_length=512,
        blank=False,
        unique=True,
    )

    title_en = models.CharField(
        _('Title (EN)'),
        max_length=512,
        blank=False,
        unique=True,
    )

    description_ar = models.TextField(
        _('Description (AR)'),
        blank=True,
    )

    description_en = models.TextField(
        _('Description (EN)'),
        blank=True,
    )

    type = models.CharField(
        _('Type'),
        blank=False,
        max_length=128,
        choices=Types.choices,
    )

    created_for = models.ForeignKey(
        "clients.Organization",
        null=True,
        blank=False,
        on_delete=models.SET_NULL,
        verbose_name=_('Created For'),
        related_name='audits',
    )

    derived_from = models.ForeignKey(
        "Audit",
        null=True,
        blank=True,
        on_delete=models.SET_NULL,
        verbose_name=_('Derived From'),
        related_name='driven_audits',
    )

    status = models.CharField(
        _('Status'),
        blank=False,
        max_length=128,
        choices=Status.choices,
        default="DRAFT",
    )
    # endregion fields

    # region audit fields
    created_on = models.DateTimeField(
        _('Created On'),
        auto_now_add=True,
        null=True,
        blank=False,
    )

    created_by = models.ForeignKey(
        get_user_model(),
        null=True,
        blank=False,
        on_delete=models.SET_NULL,
        verbose_name=_('Created By'),
        related_name='audits',
    )

    updated_on = models.DateTimeField(
        _('Updated On'),
        auto_now=True,
        null=True,
        blank=False,
    )

    updated_by = models.ForeignKey(
        get_user_model(),
        null=True,
        blank=False,
        on_delete=models.SET_NULL,
        verbose_name=_('Updated By'),
        related_name='updated_audits',
    )
    # endregion audit

    def __str__(self):
        if get_language() == 'ar':
            return self.title_ar
        else:
            return self.title_en

    def title(self):
        return str(self)

    def full_score(self):
        full_score = 0
        for question in self.questions.all():
            if question.is_scored():
                full_score += question.weight()

        return full_score

    def total_score(self):
        total = 0
        for question in self.questions.all():
            if question.is_scored():
                total += question.score()

        return total

    def weighted_total(self):
        if self.full_score():
            return self.total_score() / self.full_score() * 100
    weighted_total.short_description = _('Weighted Total (%)')

    def score_in_words(self):
        return '{} out of {}'.format(self.total_score(), self.full_score())


class Question(models.Model):
    # region fields
    audit = models.ForeignKey(
        "Audit",
        null=True,
        blank=False,
        on_delete=models.CASCADE,
        verbose_name=_('Audit'),
        related_name='questions',
    )

    prompt_ar = models.TextField(
        _('Prompt (AR)'),
        blank=True,
    )

    prompt_en = models.TextField(
        _('Prompt (EN)'),
        blank=False,
    )

    help_text_ar = models.TextField(
        _('Help Text (AR)'),
        blank=True,
    )

    help_text_en = models.TextField(
        _('Help Text (EN)'),
        blank=True,
    )

    section = models.ForeignKey(
        "Section",
        null=True,
        blank=False,
        on_delete=models.CASCADE,
        verbose_name=_('Section'),
        related_name='questions',
    )

    display_order = models.PositiveSmallIntegerField(
        _('Display Order'),
        null=True,
        blank=True,
    )
    # endregion fields

    class Meta:
        ordering = ('audit', 'section', 'display_order', )


    def __str__(self):
        if get_language() == 'ar':
            return self.prompt_ar
        else:
            return self.prompt_en

    def prompt(self):
        return str(self)

    def help_text(self):
        if get_language() == 'ar':
            return self.help_text_ar
        else:
            return self.help_text_en

    def get_the_answer(self):
        return self.answers.filter(selected_answer=True).first()

    def is_answered(self):
        return self.answers.filter(selected_answer=True).exists()
    is_answered.boolean = True
    is_answered.short_description = _('Answered?')

    def weight(self):
        return self.answers.aggregate(Max('weight')).get('weight__max', 0.0)

    def score(self):
        if self.is_answered():
            return self.get_the_answer().weight

    def is_scored(self):
        return self.score() is not None
    is_scored.boolean = True
    is_scored.short_description = _('Scored?')

    def answered_by(self):
        answer = self.get_the_answer()
        if answer:
            return answer.answered_by

    def answered_on(self):
        answer = self.get_the_answer()
        if answer:
            return answer.answered_on

    def change_the_answer(self, the_new_answer, answerer):
        all_other_selected_answers = self.answers.filter(
            selected_answer=True,
        ).exclude(pk=the_new_answer.pk)

        if all_other_selected_answers:
            all_other_selected_answers.update(
                answered_by=None,
                answered_on=None,
                selected_answer=False,
            )

        if not the_new_answer.selected_answer:
            the_new_answer.answered_by = answerer
            the_new_answer.answered_on = timezone.now()
            the_new_answer.selected_answer = True
            the_new_answer.save()


class Answer(models.Model):
    # region fields
    question = models.ForeignKey(
        "Question",
        null=True,
        blank=False,
        on_delete=models.CASCADE,
        verbose_name=_('Question'),
        related_name='answers',
    )

    prompt_ar = models.CharField(
        _('Prompt (AR)'),
        blank=True,
        max_length=256,
    )

    prompt_en = models.CharField(
        _('Prompt (EN)'),
        blank=False,
        max_length=256,
    )

    weight = models.FloatField(
        _('Weight'),
        null=True,
        blank=True,
        default=1,
        help_text=_('Empty wight indicate N/A answers which are not going to be calculated in the total score'),
    )

    selected_answer = models.BooleanField(
        _('Selected?'),
        default=False,
    )

    display_order = models.PositiveSmallIntegerField(
        _('Display Order'),
        null=True,
        blank=True,
    )

    answered_on = models.DateTimeField(
        _('Answered On'),
        null=True,
        blank=True,
    )

    answered_by = models.ForeignKey(
        User,
        null=True,
        blank=True,
        on_delete=models.SET_NULL,
        verbose_name=_('Answered By'),
        related_name='answers',
    )
    # endregion fields

    class Meta:
        ordering = ('question', 'display_order', '-weight', )


    def __str__(self):
        if get_language() == 'ar':
            return self.prompt_ar
        else:
            return self.prompt_en

    def prompt(self):
        return str(self)

    def is_best_answer(self):
        if self.weight:
            return self.weight == self.question.weight()


class Evidence(models.Model):
    class Types(models.TextChoices):
        PICTURE = 'PICTURE', _('Picture'),
        VIDEO = 'VIDEO', _('Video'),
        MISC = 'misc', _('Miscellaneous'),

    # region fields
    question = models.ForeignKey(
        'Question',
        null=True,
        blank=False,
        on_delete=models.CASCADE,
        related_name='list_of_evidence',
    )

    uploaded_file = ConstrainedFileField(
        null=True,
        blank=False,
        upload_to='evidence',
        content_types=[
            'application/pdf',
            'image/png',
            'image/bmp',
            'image/jpg',
            'image/jpeg',
            'image/gif',
            # TODO: add video file formats like mp4 and avi
        ],
        max_upload_size=2000000,  # 2.0 mb limit
    )

    notes = models.TextField(
        _('Notes'),
        blank=True,
    )

    type = models.CharField(
        _('Type'),
        blank=False,
        max_length=256,

assessment/templates/assessment/_audit_info.html
                <div class="row">
                    <div class="col-md-4">
                        <label>Assessment</label>
                              <p>{{audit}}</p>
                    </div>
                    <div class="col-md-4">
                        <label> Status </label>
                        <p>{{audit.get_status_display}}</p>
                    </div>
                      <div class="col-md-4">
                        <label> Derived From</label>
                        <p>{{audit.derived_from}}</p>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-4">
                        <label>Score</label>
                     <p class="text-success"> {{audit.score_in_words}}</p>
                    </div>
                    <div class="col-md-4">
                        <label>Created On</label>
                     <p> {{audit.created_on}}</p>
                    </div>
                    <div class="col-md-4">
                        <label>Created By</label>
                     <p> {{audit.created_by}}</p>
                    </div>
                </div>

assessment/templates/assessment/_audit_table_title_column.html
<a href='' class=""  data-toggle="modal"
data-target="#detail_modal{{record.pk}}" audit_id={{record.pk}}>
  {{record.title}}
</a>

<div class="modal fade" id="detail_modal{{record.pk}}" role="dialog"
     aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel{{record.pk}}">Assessment Details</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                {% include 'assessment/_audit_info.html' with audit=record %}
            </div>
        </div>
    </div>
</div>

assessment/templates/assessment/_create_evidence.html
{% load crispy_forms_filters %}
{% load i18n %}
{% load static %}

<div class="p-3 h-100 d-flex flex-column">
    <div class="chat-textarea mt-auto {{ prefix }}-comment-div">
        <div id="{{ prefix }}-error"></div>
        <form id="{{ prefix }}_form" method="post" enctype="multipart/form-data">
            {% csrf_token %}
            {{ form|crispy }}
            <button class="btn btn-primary" type="submit"><i class="fa fa-check-circle"></i> {% trans 'Submit Evidence' %}</button>
        </form>
    </div>
</div>

<script type="application/javascript">
    $(function () {
        $('#{{ prefix }}_form').on('submit', function (e) {
            e.preventDefault();
            $.ajax({
                url: '{% url 'evidence_create' question.pk %}',
                type: "POST",
                enctype: 'multipart/form-data',
                processData: false,
                contentType: false,
                data: new FormData(this),
                success: function (json) {
                    {#$('.{{ prefix }}-comment-div').html('<div class="alert alert-success" data-alert>{% trans 'Your comment was submitted successfully...' %}</div>');#}
                    swal("SUCCESS", "Evidence was added successfully", {
                        icon: "success",
                        buttons: {
                            confirm: {
                                className: 'btn btn-success'
                            }
                        },
                    }).then(
                        function () {
                            document.getElementById("{{ prefix }}_form").reset();
                            $('.modal').modal('hide');
                        }
                    );
                    console.log(json);
                    console.log("success");
                    added_ev =  $.parseJSON(json);
                    console.log(added_ev);
                    num = $('#ev{{question.pk}} tr').length;
                    $('#evCount{{question.pk}}').text(num);
                    $('#ev{{question.pk}} tbody').append(
                    "<tr><td>" + num  +"</td><td>" + added_ev.type + "</td><td>" +
                     '<a href="{% get_media_prefix %}{{ added_ev.uploaded_file }}" target="_blank"><i class="fa fa-download"></i> {% trans 'Download'%}</a>'
                      + "</td><td>" + added_ev.notes + "</td></tr>");

                },
                error: function (xhr, errmsg, err) {
                    $('#{{ prefix }}-error').html("<div class='alert alert-danger' data-alert>{% trans 'Error' %}: " + xhr.responseText +
                        " <a href='#' class='close'>&times;</a></div>");
                    console.log(xhr.status + ": " + xhr.responseText);
                }
            });
        });
    });
</script>

assessment/templates/assessment/_create_section.html
{% load crispy_forms_filters %}
{% load i18n %}

<div class="p-3 h-100 d-flex flex-column">
    <div class="chat-textarea mt-auto section-div">
        <div id="error"></div>
        <form id="section_form" method="post" enctype="multipart/form-data">
            {% csrf_token %}
            {{ section_form|crispy }}
            <button class="btn btn-primary"  type="submit" value="add_section" ><i class="fa fa-check-circle"></i> {% trans 'Add' %}</button>
        </form>
    </div>
</div>

<script type="application/javascript">
    $(function () {
        $('#section_form').on('submit', function (e) {
            e.preventDefault();
            $.ajax({
                url: '{% url 'create_section' %}',
                type: "POST",
                enctype: 'multipart/form-data',
                processData: false,
                contentType: false,
                data: new FormData(this),
                success: function (json) {
                    {#$('.section-div').html('<div class="alert alert-success" data-alert>{% trans 'Section was added successfully...' %}</div>');#}
                    swal("SUCCESS", "Section was added successfully", {
                        icon: "success",
                        buttons: {
                            confirm: {
                                className: 'btn btn-success'
                            }
                        },
                    }).then(
                        function () {
                            document.getElementById("section_form").reset();
                             $('.modal').modal('hide');
                        }
                    );
                    console.log(json);
                    console.log("success");
                    const result = JSON.parse(json);
                    console.log(result[0]['pk']);
                    section_id = result[0]['pk']
                    section_title = result[0]['fields']['title_en']
                    if ($('#id_section').find("option[value='" + section_id + "']").length) {
                            $('#id_section').val(section_id).trigger('change');
                        } else {
                            // Create a DOM Option and pre-select by default
                            var newOption = new Option(section_title, section_id, true, true);
                            // Append it to the select
                            $('#id_section').append(newOption).trigger('change');
                        };
                },
                error: function (xhr, errmsg, err) {
                    $('#error').html("<div class='alert alert-danger' data-alert>{% trans 'Error' %}: " + xhr.responseText +
                        " <a href='#' class='close'>&times;</a></div>");
                    console.log(xhr.status + ": " + xhr.responseText);
                }
            });
        });
    });
</script>

assessment/templates/assessment/_delete_confirmation_modal.html
{% load questions_tags %}

<div class="modal fade" id="delete_modal{{record.pk}}" role="dialog"
     aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel{{record.pk}}">Delete Question</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                {% delete_question record %}
            </div>
        </div>
    </div>
</div>

assessment/templates/assessment/_delete_question.html
{% load crispy_forms_filters %}
{% load i18n %}

<div class="p-3 h-100 d-flex flex-column">
    <div class="chat-textarea mt-auto {{ question.pk }}-comment-div">
        <div id="{{ question.pk }}-error"></div>
        <form id="{{ question.pk }}_form" method="post" enctype="multipart/form-data">
            {% csrf_token %}
        <p>Are you sure you want to delete "{{ question }}"?</p>
            <button class="btn btn-primary" type="submit"><i class="fa fa-check-circle"></i> {% trans 'Confirm Delete' %}</button>

       </form>
    </div>
</div>


<script type="application/javascript">
    $(function () {
        $('#{{ question.pk }}_form').on('submit', function (e) {
            e.preventDefault();
            $.ajax({
                url: '{% url 'delete_question' question.pk %}',
                type: "POST",
                enctype: 'multipart/form-data',
                processData: false,
                contentType: false,
                data: new FormData(this),
                success: function (json) {
                    {#$('.{{ question.pk }}-comment-div').html('<div class="alert alert-success" data-alert>{% trans 'Question was deleted successfully...' %}</div>');#}
                    swal("SUCCESS", "Question was deleted successfully", {
                        icon: "success",
                        buttons: {
                            confirm: {
                                className: 'btn btn-success'
                            }
                        },
                    }).then(
                        function () {
                            $('.modal').modal('hide');
                             location.reload();
                        }
                    );
                    console.log(json);
                    console.log("success");
                },
                error: function (xhr, errmsg, err) {
                    $('#{{ question.pk }}-error').html("<div class='alert alert-danger' data-alert>{% trans 'Error' %}: " + xhr.responseText +
                        " <a href='#' class='close'>&times;</a></div>");
                    console.log(xhr.status + ": " + xhr.responseText);
                }
            });
        });
    });
</script>

assessment/templates/assessment/_question_details.html
{% load i18n %}
{% load questions_tags %}
{% load humanize %}

<div class="row">
    <div class="col-12">
        <p>{{question.prompt}}</p>
    </div>

</div>

<div class="row mt-3">
    <div class="col-md-1 col-2">
        <h5><span style="font-size: 99%; writing-mode: tb-rl;" class="badge badge-info pt-3 pb-3">{{ question.section }}</span></h5>
    </div>
    <div class="col-md-11 col-10">
    {% for answer in question.answers.all %}
        <div class="row">
            <div class="col-8">
                <label class="form-radio-label" >
                    <input class="form-radio-input " type="radio" name="{{ answer.prompt }}" value="{{ answer.prompt }}" id="{{ answer.id }}" {% if answer.selected_answer is True %}checked="checked"{% endif %} disabled>
                    <span class="form-radio-sign ml-2">{{ answer.prompt_en }}</span>
                </label>
            </div>
            <div class="col-4">{% print_answer_weight answer.pk %}</div>
        </div>
    {% endfor %}
    </div>
</div>
<hr>
<div class="row">
    <div class="col-12">
        {% if question.is_answered %}
            {% if question.is_scored %}
                {% trans 'Question Score is' %} <span class="badge badge-primary">{{ question.score }}</span>
                {% trans 'out of' %} <span class="badge badge-primary">{{ question.weight }}</span>
            {% else %}
                {% trans 'Question Weight is' %} <span class="badge badge-primary">{{ question.weight }}</span>
                <em>{% trans 'BUT it is not included in the final score' %}</em>
            {% endif %}
            {% if widget.attrs.question.answered_by and widget.attrs.question.answered_on %}
                <br><small>{% trans 'Answered by' %} <b>{{ question.answered_by }}</b>&nbsp;&nbsp;(<b>{{ question.answered_on|naturaltime }}</b>)</small>
            {% endif %}
        {% else %}
            {% trans 'Question Weight is' %} <span class="badge badge-primary">{{ question.weight }}</span>
        {% endif %}
    </div>
</div>

assessment/templates/assessment/_question_table_prompt_column.html
<a href='' class=""  data-toggle="modal"
data-target="#detail_modal{{record.pk}}" audit_id={{record.pk}}>
  {{record.prompt}}
</a>

<div class="modal fade" id="detail_modal{{record.pk}}" role="dialog"
     aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel{{record.pk}}">Question Details</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                {% include 'assessment/_question_details.html' with question=record %}
            </div>
        </div>
    </div>
</div>

assessment/templates/assessment/create_section.html
{% extends "layouts/base.html" %}
{% load static %}
{% load crispy_forms_tags %}
{% load questions_tags %}
{% load i18n %}

{% block title %} Assessment {% endblock %}

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}{% endblock stylesheets %}

{% block content %}

<div class="content">
     <div class="panel-header bg-primary-gradient">
            <div class="page-inner py-5">
                <div class="d-flex align-items-left align-items-md-center flex-column flex-md-row">
                    <div>
                        <h2 class="text-white pb-2 fw-bold">New Audit</h2>
                        <h5 class="text-white op-7 mb-2">Quality Control System</h5>
                    </div>
                </div>
            </div>
     </div>

     <div class="page-inner mt--5">
            <div class="row">
                <div class="col-md-12">
                    <div class="card full-height">
                        <div class="card-body">
                          <form method="post" class="form-horizontal">
            {% csrf_token %}
            <div class="row">
                {{form|crispy}}
            </div>
            <div class="row">
                <div class="col-12">
                    <button class="btn btn-primary float-right ml-3">
                        <span class="btn-label">
                            <i class="fa fa-check-circle"></i>
                        </span>
                        {% trans 'Next' %}
                    </button>
                    <button class="btn btn-danger float-left mr-3">
                        <span class="btn-label">
                            <i class="fa fa-strikethrough"></i>
                        </span>
                        {% trans 'Cancel' %}
                    </button>
                </div>
            </div>
        </form>
                        </div>
                    </div>
                </div>
            </div>
     </div>

</div>



{% endblock content %}

assessment/templates/assessment/view_assessment.html
{% extends "layouts/base.html" %}
{% load static %}
{% load crispy_forms_tags %}
{% load questions_tags %}
{% load i18n %}
{% load render_table from django_tables2 %}

{% block title %} Assessment {% endblock %}

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}{% endblock stylesheets %}

{% block content %}

<div class="content">
    <div class="panel-header bg-primary-gradient">
        <div class="page-inner py-5">
            <div class="d-flex align-items-left align-items-md-center flex-column flex-md-row">
                <div>
                    <h2 class="text-white pb-2 fw-bold">Assessment Questions</h2>
                    <h5 class="text-white op-7 mb-2">{{audit.score_in_words}}</h5>
                </div>

            </div>
        </div>

    </div>

    <div class="page-inner mt--5">
         <div class="row">
            <div class="col-md-12">
                <div class="card full-height">
                    <div class="card-body">
        {% include "assessment/_audit_info.html" with audit=audit %}
                    </div>
                </div>
            </div>
         </div>
        <div class="row">
            <div class="col-md-12">
                <div class="card full-height">
                    <div class="card-body">

                        {% render_table table  %}

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>



{% endblock content %}